package cn.edu.whu.boot.statistics.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.HashMap;
import java.util.List;

@Repository
public interface BasicStatMapper {

    List<String> getTasks();

    String getTaskXmlName(@Param("tskName") String tskName);

    String getTaskDBName(@Param("tskName") String tskName);

    List<HashMap> stat(@Param("tskName") String tskName , @Param("tblName") String tblName , @Param("statField") String statField , @Param("groupField") String groupField);
}
